# mongoc_client_encryption_encrypt_opts_t

## Synopsis

    typedef struct _mongoc_client_encryption_encrypt_opts_t mongoc_client_encryption_encrypt_opts_t;

Used to set options for mongoc_client_encryption_encrypt().

## See also

- mongoc_client_encryption_encrypt()

## Functions

- mongoc_client_encryption_encrypt_opts_new()
- mongoc_client_encryption_encrypt_opts_destroy()
- mongoc_client_encryption_encrypt_opts_set_keyid()
- mongoc_client_encryption_encrypt_opts_set_keyaltname()
- mongoc_client_encryption_encrypt_opts_set_algorithm()